; -- cpuz.iss --
; version 1.85

[Setup]
AppName=CPUID CPU-Z OC Formula
AppVerName=CPUID CPU-Z OC Formula 1.85
AppId=CPUID CPU-Z OC Formula
AppVersion=1.85
AppPublisher=CPUID, Inc.
DefaultDirName={pf}\CPUID\CPU-Z ASR
DefaultGroupName=CPUID\CPU-Z ASR
UninstallDisplayIcon={app}\cpuz.exe
Compression=lzma
SolidCompression=yes
SourceDir=d:\CPUID\applications\cpu_z_asus\setup_ocf
OutputDir=d:\CPUID\applications\cpu_z_asus\setup_ocf
OutputBaseFilename=cpu-z_1.85-asr-en
ArchitecturesInstallIn64BitMode=x64 ia64
LicenseFile=cpuz_asr_eula.txt

[Tasks]
Name: desktopicon; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"

[Files]
Source: "cpuz_x32.exe"; DestName : "cpuz.exe"; DestDir: "{app}" ; Check: not Is64BitInstallMode
Source: "cpuz_x32.exe"; DestName : "cpuz.exe"; DestDir: "{app}" ; Check: IsIA64
Source: "cpuz_x64.exe"; DestName : "cpuz.exe"; DestDir: "{app}" ; Check: IsX64
Source: "cpuz_asr_readme.txt"; DestDir: "{app}"; Flags: isreadme
Source: "cpuz_asr_eula.txt"; DestDir: "{app}";
Source: "cpuz.ini"; DestDir: "{app}";
                                                              
[Icons]
Name: "{group}\CPU-Z OC Formula"; Filename: "{app}\cpuz.exe" ; WorkingDir: "{app}"
Name: "{group}\Edit CPU-Z OC Formula Config File"; Filename: "{app}\cpuz.ini" ; WorkingDir: "{app}"
Name: "{group}\Uninstall CPU-Z OC Formula"; Filename: "{uninstallexe}"
Name: "{commondesktop}\CPUID CPU-Z OC Formula"; Filename: "{app}\cpuz.exe" ; WorkingDir: "{app}" ; tasks: desktopicon

[Registry]
Root: HKLM; Subkey: "Software\CPUID"; Flags: uninsdeletekeyifempty
Root: HKLM; Subkey: "Software\CPUID\CPU-Z ASR"; Flags: uninsdeletekey
Root: HKLM; Subkey: "Software\CPUID\CPU-Z ASR"; ValueType: string; ValueName: "PATH"; ValueData: "{app}"
Root: HKLM; Subkey: "Software\CPUID\CPU-Z ASR"; ValueType: string; ValueName: "PRODUCT_NAME"; ValueData: "CPUID CPU-Z ASR"
Root: HKLM; Subkey: "Software\CPUID\CPU-Z ASR"; ValueType: string; ValueName: "VERSION"; ValueData: "1.85"

[UninstallDelete]
Type: files; Name: "{app}\*.ini"

[Code]
function IsX64: Boolean;
begin
  Result := Is64BitInstallMode and (ProcessorArchitecture = paX64);
end;

function IsIA64: Boolean;
begin
  Result := Is64BitInstallMode and (ProcessorArchitecture = paIA64);
end;

















